Bug 461907 - sugar-journal OLPC-3 branch
sugar-journal OLPC-3 branch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 06:42 EDT by Marco Pesenti Gritti
Modified: 2008-09-22 15:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 15:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2008-09-11 06:42:11 EDT
I could not find the original review bug...

Package Change Request
======================
Package Name: sugar-journal
New Branches: OLPC-3
Comment 1 Kevin Fenzi 2008-09-11 15:29:43 EDT
cvs done.
Comment 2 Dennis Gilmore 2008-09-11 17:25:53 EDT
Marco, 

We discussed this in the past and it was decided not to branch for OLPC-3 as it was not needed.  Why now is it needed?
Comment 3 Marco Pesenti Gritti 2008-09-12 04:32:15 EDT
Dennis,

you probably discussed it only with Tomeu and Simon.

Our workflow when packaging new releases is:

1 Build it in rawhide.
2 Build it on the OLPC-3 branch.
3 Once in a while, when we have time to and the changes are important/well tested enough, we build in the Fedora 9 branch and push them as updates.

Step 2 is very frequent (every couple days when near to a release), step 3 very infrequent (we might be able to do it every month, but probably longer unless we find volunteers to take care of testing in Fedora 9).

Also sometimes we do build snapshots on the OLPC 3 branch, which are never meant for Fedora.

Now:

A) I'm not sure it make sense to build in Fedora 9 every two days, and push the updates only every month or so. Even less to build git snapshots that are never meant for Fedora in F-9.

B) During the unstable development cycle we will build releases for OLPC builds which are never meant to go in the stable Fedora.

C) Having to go through an admin to be able to be able to do a Sugar release (to tag the F-9 build into dist-olpc-whatever) is completely out of question. It slows us down too much.

D) Even if it was possible to do the tagging without admin privileges, I'm not sure it's worth the overhead given the high frequency of 2 and the low frequency of 3.

C is a blocker, I could be convinced about A, B, D but all together they seem pretty good reasons to *not* always build in F-9 to me.

Note You need to log in before you can comment on or make changes to this bug.